# Notes / Warning :
# - this package is not prefixable
# - to update official patches, aka SOURCE4, see README.mga in SOURCE4

%define python3path %{_includedir}/%{python3}

%define patchlevel 2136

%define python_version %(rpm -q --qf '%%{epoch}:%%{version}' python)
%define ruby_version %(rpm -q --qf '%%{epoch}:%%{version}' ruby)

# Should we build X11 gui
%define buildgui 1

%{?_with_gui:%global buildgui 1}
%{?_without_gui:%global buildgui 0}

%define title       VI editor
%define longtitle   All-purpose text editor

%define baseversion 8.1
%define vimdir vim-8.1.2136

Name:           vim
Version:	%{baseversion}.%{patchlevel}
Release:	%mkrel 1
Summary:        VIsual editor iMproved
Url:            http://www.vim.org/
License:        Charityware
Group:          Editors
# Generated with SOURCES/vim-update.sh
Source0:	https://github.com/vim/vim/archive/vim-%{baseversion}.%{patchlevel}.tar.gz
# read README.mga prior updating official patches:
Source3:	README.mga
# http://vim.sourceforge.net/scripts/script.php?script_id=98
Source56:        http://trific.ath.cx/Ftp/vim/syntax/dhcpd.vim
# from apparmor-utils package
Source57:        apparmor.vim
Source58:        cfengine.vim
Source59:        nagios.vim
# icon rendering is ugly in GNOME3, so, adding a svg icon
Source60:	gvim.svg
# empty rpm spec template
Source61:	template.spec

# for updating Source0:
Source100:	vim-update.sh

# MDK patches
Patch2:         vim-5.6a-paths.patch
Patch3:         vim-8.0-rpm-spec-syntax.patch
Patch8:         vim-6.0af-man-path.patch
Patch10:        xxd-locale.patch
Patch20:        vimrc_hebrew.patch
# autoload template when creating new rpm spec files
Patch21:        vim-8.0-mga-vimrc-spec-template-autoload.patch
Patch22:        vim-6.1-fix-xterms-comments.patch
Patch23:        vim-8.0-remove-docs.patch
Patch24:        vim-8.0-outline-mode.patch
Patch26:        vim-7.4-changelog-mode.patch
Patch28:        vim-8.0-po-mode.patch
Patch30:        vim-8.0-add-dhcpd-syntax.patch
Patch31:	vim70-CVE-2007-2438.patch
Patch32:        vim-8.0-highligh-global.diff

# Fedora patches
Patch100:  vim-8.0-fortify_warnings-1.patch
Patch101:  vim-7.4-fstabsyntax.patch
Patch3016: vim-8.0-copy-paste.patch
# migrate shebangs in script to /usr/bin/python3 and use python2 when necessary
Patch3017: vim-python3-tests.patch
BuildRequires:  pkgconfig(python)
BuildRequires:  python3-devel
BuildRequires:  gpm-devel
BuildRequires:  pkgconfig(ruby)
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(tinfo)
BuildRequires:  acl-devel
%if %{buildgui}
BuildRequires:  gtk3-devel 
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(xt)
BuildRequires:  tcl
BuildRequires:  pkgconfig(tcl)
%endif
BuildRequires:  pkgconfig(lua)

%global __requires_exclude perl\\(getopts.pl\\)

%description
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.

%package common
Summary:    The common files needed by any version of the VIM editor
Group:      Editors
Requires(pre):      coreutils
Requires(post):     coreutils
Requires(preun):    coreutils
Requires(postun):   coreutils
# <oden> Installation failed:    file /usr/share/vim/syntax/asciidoc.vim from install of vim-common-7.4.052-2.mga4.x86_64 conflicts with file from package asciidoc-8.6.8-2.mga3.noarch
Conflicts: asciidoc < 8.6.8-4

%description common
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-common package contains files which every VIM binary will need in
order to run.

%package minimal
Summary:    A minimal version of the VIM editor
Group:      Editors
Provides:   vim
Requires(post):     update-alternatives
Requires(postun):   update-alternatives

%description minimal
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-minimal package includes a minimal version of VIM, which is
installed into /bin/vi for use when only the root partition is
present. NOTE: The online help is only available when the vim-common
package is installed.

%package enhanced
Summary:    A version of the VIM editor which includes recent enhancements
Group:      Editors
Requires:   vim-common >= %{version}-%{release}
Obsoletes:  vim-color
Provides:   vim
Provides:   vim-color
Requires(post):     update-alternatives
Requires(postun):   update-alternatives

%description enhanced
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-enhanced package contains a version of VIM with extra, recently
introduced features like Python and Perl interpreters.

Install the vim-enhanced package if you'd like to use a version of the
VIM editor which includes recently added enhancements like
interpreters for the Python and Perl scripting languages.  You'll also
need to install the vim-common package.

%if %{buildgui}
%package X11
Summary:    The VIM version of the vi editor for the X Window System
Group:      Editors
Provides:   vim
Requires:   vim-common >= %{version}-%{release}
Requires(post):     desktop-file-utils
Requires(postun):   desktop-file-utils

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and
more.  VIM-X11 is a version of the VIM editor which will run within the
X Window System.  If you install this package, you can run VIM as an X
application with a full GUI interface and mouse support by command gvim.

Install the vim-X11 package if you'd like to try out a version of vi
with graphics and mouse capabilities.  You'll also need to install the
vim-common package.
%endif

%define localedir %{buildroot}%{_datadir}/locale/

%prep
%setup -q -n %{vimdir}
# spec plugin
rm -f runtime/doc/pi_spec.txt
rm -f runtime/ftpplugin/spec.vim
cp -a %{SOURCE56} runtime/syntax/
cp -a %{SOURCE57} runtime/syntax/
cp -a %{SOURCE58} runtime/syntax/
cp -a %{SOURCE59} runtime/syntax/

#mdk patches
%patch2 -p1
%patch3 -p0 -b .spec
%patch8 -p1 -b .manpath
%patch10 -p1 -b .xxdloc
%patch20 -p1 -b .warly
%patch21 -p1 -b .spec-template-autoload
%patch22 -p0
%patch23 -p0 -b .doc
%patch24 -p0
%patch26 -p0
%patch28 -p1
%patch30 -p0
%patch32 -p1
# Fedora patches
%patch100 -p1
%patch101 -p1
%patch3016 -p1
%patch3017 -p1

perl -pi -e 's|SYS_VIMRC_FILE "\$VIM/vimrc"|SYS_VIMRC_FILE "%_sysconfdir/vim/vimrc"|' src/os_unix.h
perl -pi -e 's|SYS_GVIMRC_FILE "\$VIM/gvimrc"|SYS_GVIMRC_FILE "%_sysconfdir/vim/gvimrc"|' src/os_unix.h
# disable command echo
for i in runtime/{gvimrc_example.vim,vimrc_example.vim,defaults.vim}; do
    perl -pi -e 's!^set showcmd!set noshowcmd!' $i
done
perl -pi -e 's|\Qsvn-commit.*.tmp\E|svn-commit*.tmp|'       ./runtime/filetype.vim

%build
# ensure xxd works with big files:
export CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2"
export CXXFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2"

%if %{buildgui}
# First build: gvim
LOCALEDIR=%{localedir} ./configure --prefix=%{_prefix} \
--enable-pythoninterp=dynamic  \
--enable-python3interp=dynamic  \
--enable-perlinterp \
--enable-rubyinterp \
--enable-tclinterp \
--with-features=huge \
--enable-acl --with-x=yes --enable-gui=gtk3 --exec-prefix=%{_prefix}/X11R6 \
--enable-gtk3-check \
--enable-multibyte --enable-xim --enable-fontset --mandir=%{_mandir} \
--libdir=%{_libdir} --with-compiledby="%packager"

echo "#define MAX_FEAT 1" >> src/config.h
echo "#define FEAT_GUI" >> src/config.h
# workaround buggy build system:
perl -pi -e 's!/usr/include long!/usr/include !' src/auto/config.mk

%make_build
mv src/vim src/gvim
make -C src clean
%endif

# Second build: vim-enhanced
./configure --prefix=%{_prefix} \
--enable-acl --enable-rubyinterp --enable-tclinterp --enable-pythoninterp=dynamic \
--enable-python3interp=dynamic \
--enable-perlinterp --with-features=huge \
--libdir=%{_libdir} --with-compiledby="%packager" \
--with-x=no --enable-gui=no --exec-prefix=%{_prefix}

%make_build
mv src/vim src/vim-enhanced
make -C src/ clean

# Third build: vim-minimal
./configure  --prefix=%{_prefix} \
--with-features=tiny --disable-tclinterp --disable-cscope \
--disable-hangulinput --disable-xim --disable-fontset --disable-gui \
--disable-acl --disable-pythoninterp --disable-perlinterp \
--libdir=%{_libdir} --with-compiledby="%packager" \
--with-x=no --enable-gui=no --disable-gpm --exec-prefix=%{_prefix} --with-tlib=tinfo

%make_build
cp src/vim src/vim-minimal
%make_build -C src

cp -al runtime/doc doc
# apply os_doc.diff
pushd doc
rm -f *.1
rm -f os_{390,dos,msdos,risc,win32,amiga,mac,os2,beos,mint,qnx,vms}.txt
rm -f gui_{w16,w32}.txt
rm -f vim2html.pl Makefile *awk
popd

# britton support
ln -s tutor.fr runtime/tutor/tutor.br
ln -s menu_fr_fr.iso_8859-15.vim runtime/lang/menu_br

%install
perl -pi -e 's!LOCALEDIR=\$\(DEST_LANG\)!LOCALEDIR=\$(DESTDIR)\$\(prefix\)/share/locale!g' src/Makefile

mkdir -p %{buildroot}{/bin,%{_bindir},%{_datadir}/{vim,locale},%{_mandir}/man1,%{localedir}}
# Adding STRIP=/bin/true, because Vim wants to strip the binaries by himself
# and put the stripped files into correct dirs. Build system (koji/brew) 
# does it for us, so there is no need to do it in Vim
%make_install VIMRTDIR="" STRIP=/bin/true


make -C src installmacros prefix=%{buildroot}%{_prefix} VIMRTDIR=""

# fix unreadable files:
chmod a+r runtime/{autoload/{tar,netrw}.vim,doc/pi_{netrw,tar}.txt}

%if %{buildgui}
mkdir -p %{buildroot}%{_bindir}
install -m 755 src/gvim %{buildroot}%{_bindir}
%endif

install -m 755 src/vim-enhanced %{buildroot}%{_bindir}
install -m 755 src/vim-minimal %{buildroot}/bin/vim-minimal

cd %{buildroot}
rm -f ./bin/rvim
rm -f ./usr/bin/rview ./usr/bin/rvim ./usr/bin/view
for i in ex vimdiff; do
    ln -sf vim-enhanced ./usr/bin/$i
done
rm -f ./usr/man/man1/rvim.*
rm -f ./usr/share/man/man1/evim.*
%if %{buildgui}
ln -sf gvim ./usr/bin/gvimdiff
ln -sf gvim ./usr/bin/vimx
%endif
rm -f ./usr/share/vim/*/cmake.vim
cd -

# installing man pages
for i in %{buildroot}%{_mandir}/man1/{vi,rvi}; do
    cp %{buildroot}%{_mandir}/man1/vim.1 $i.1
done

%if %{buildgui}
cp %{buildroot}%{_mandir}/man1/vim.1 %{buildroot}%{_mandir}/man1/gvim.1
%endif

ln -sf defaults.vim %{buildroot}/usr/share/vim/vimrc

cd %{buildroot}/%{_prefix}/share/vim/tools
# i need to make a choice :(.
rm -f vim132
perl -p -i -e 's|#!/usr/bin/nawk|#!/usr/bin/gawk|' mve.awk
perl -p -i -e 's|#!/usr/local/bin/perl|#!/usr/bin/perl|' *.pl
perl -p -i -e 's|#!/usr/gnu/bin/perl|#!/usr/bin/perl|' *
cd -

# Be short-circuit aware :
ln -f runtime/macros/README.txt README_macros.txt
ln -f runtime/tools/README.txt README_tools.txt
perl -p -i -e "s|#!/usr/local/bin/perl|#!/usr/bin/perl|" runtime/doc/*.pl

# installing the menu icons & entry
%if %{buildgui}
install -D -p -m 0644 %{SOURCE60} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/gvim.svg

# gvim and fontset (from Pablo) 2001/03/19
echo 'set guifontset=-*-fixed-medium-r-normal--14-*-*-*-c-*-*-*,-*-*-medium-r-normal--14-*-*-*-c-*-*-*,-*-*-medium-r-normal--14-*-*-*-m-*-*-*,*' > %{buildroot}%{_datadir}/vim/gvimrc
%endif

# fix the paths in the man pages
for i in %{buildroot}/usr/share/man/man1/*.1; do
    perl -p -i -e "s|%{buildroot}||" $i
done

# prevent including twice the doc
rm -fr %{buildroot}/usr/share/vim/doc
ln -sf ../../../%{_defaultdocdir}/%{name}-common/doc %{buildroot}/usr/share/vim/doc

%{find_lang} %{name} --with-man --all-name

find %{buildroot}%{_datadir}/vim/ -name "tutor.*" | egrep -v 'tutor(|\.vim)$' |
 sed -e 's!^\(.*tutor.\)\(..\)!%lang(\2) \1\2!g' >> %{name}.lang

find %{buildroot}%{_datadir}/vim/lang -name "menu*" |
 sed -e 's!^\(.*menu_\)\(..\)\(_\)!%lang(\2) \1\2\3!g' \
  -e 's!^\(.*menu\)\(_chinese\)!%lang(zh) \1\2!g' \
  -e 's!^\(.*menu\)\(_czech_\)!%lang(cs) \1\2!g' \
  -e 's!^\(.*menu\)\(_french\)!%lang(fr) \1\2!g' \
  -e 's!^\(.*menu\)\(_german\)!%lang(de) \1\2!g' \
  -e 's!^\(.*menu\)\(_japanes\)!%lang(ja) \1\2!g' \
  -e 's!^\(.*menu\)\(_polish\)!%lang(pl) \1\2!g' \
  -e 's!^\(.*menu\)\(_slovak\)!%lang(sk) \1\2!g' \
  -e 's!^\(.*menu\)\(_spanis\)!%lang(es) \1\2!g' \
  >> %{name}.lang
# add softlinks:
find %{buildroot}%{_datadir}/vim/lang -type l >> %{name}.lang
# clean file list:
sed -i "s^%{buildroot}^^" %{name}.lang

rm -f %{buildroot}%{_bindir}/vim

mkdir -p %{buildroot}%{_sysconfdir}/vim/
MESSAGE='"Place your systemwide modification here.\n"%{_datadir}/vim/ files will be overwritten on update\n'
echo -e "$MESSAGE\nsource %_datadir/vim/vimrc" > %{buildroot}/%{_sysconfdir}/vim/vimrc
%if %{buildgui}
echo -e "$MESSAGE\nsource %_datadir/vim/gvimrc" > %{buildroot}/%{_sysconfdir}/vim/gvimrc
%endif

# create templates folder
mkdir -p %{buildroot}/%{_datadir}/%{name}/vimfiles
install -m 0644 %{SOURCE61} %{buildroot}/%{_datadir}/%{name}/vimfiles/

%post minimal
update-alternatives --install /bin/vi vi /bin/vim-minimal 10 \
    --slave /bin/view view /bin/vim-minimal \
    --slave /bin/ex ex /bin/vim-minimal \
    --slave /bin/rvi rvi /bin/vim-minimal \
    --slave /bin/rview rview /bin/vim-minimal
update-alternatives --install /bin/vim vim /bin/vim-minimal 10 \
    --slave /bin/rvim rvim /bin/vim-minimal

%postun minimal
[ $1 = 0 ] || exit 0
update-alternatives --remove vi  /bin/vim-minimal
update-alternatives --remove vim /bin/vim-minimal

%triggerpostun minimal -- vim-minimal < 7.3
update-alternatives --remove uvi /bin/vim-minimal
for i in view ex rvi rview rvim; do
    update-alternatives --remove $i /bin/$i || :
done

%post enhanced
update-alternatives --install /bin/vi vi /usr/bin/vim-enhanced 20 \
    --slave /bin/view view /usr/bin/vim-enhanced \
    --slave /bin/ex ex /usr/bin/vim-enhanced \
    --slave /bin/rvi rvi /usr/bin/vim-enhanced \
    --slave /bin/rview rview /usr/bin/vim-enhanced
update-alternatives --install /bin/vim vim /usr/bin/vim-enhanced 20 \
    --slave /bin/rvim rvim /usr/bin/vim-enhanced

%postun enhanced
[ $1 = 0 ] || exit 0
update-alternatives --remove vi  /usr/bin/vim-enhanced
update-alternatives --remove vim /usr/bin/vim-enhanced

%triggerpostun enhanced -- vim-enhanced < 7.3
update-alternatives --remove uvi /usr/bin/vim-enhanced

%files common -f vim.lang
%doc README*.txt
#%doc --parents mandriva/README*
%doc doc
%{_datadir}/vim/doc
%dir %{_datadir}/vim/
%{_datadir}/vim/[^tlg]*
%{_datadir}/vim/gvimrc_example.vim
%{_datadir}/vim/lang/README.txt
%{_datadir}/vim/tools
%{_datadir}/vim/tutor/README.*
%{_datadir}/vim/tutor/tutor
%{_datadir}/vim/tutor/tutor.vim
%{_mandir}/man1/vim.1*
%{_mandir}/man1/ex.1*
%{_mandir}/man1/vi.1*
%{_mandir}/man1/view.1*
%{_mandir}/man1/rvi.1*
%{_mandir}/man1/rview.1*
%{_mandir}/man1/vimdiff.1*
%{_mandir}/man1/vimtutor.1*
%{_mandir}/man1/rvim.1*
%{_bindir}/vimtutor
%{_bindir}/xxd
%{_mandir}/man1/xxd.1*
%dir %{_sysconfdir}/vim/
%config(noreplace) %{_sysconfdir}/vim/*

%files minimal
%doc README*.txt
/bin/vim-minimal

%files enhanced
%doc README*.txt
%{_bindir}/ex
%{_bindir}/vimdiff
%{_bindir}/vim-enhanced

%if %{buildgui}
%files X11
%doc README*.txt
%{_bindir}/gvim
%{_bindir}/gvimdiff
%{_bindir}/vimx
%{_mandir}/man1/gvim.1*
%{_iconsdir}/hicolor/*/apps/gvim.*
%{_iconsdir}/locolor/*/apps/*
%{_datadir}/applications/*.desktop
%{_datadir}/vim/gvimrc
%endif


%changelog
* Thu Mar 26 2020 mrambo3501 <mrambo3501> 8.1.2136-1.mga7
+ Revision: 1560817
-version 8.1.2136 fixes CVE-2019-20079 (mga#26380)
-remove upstreamed patch 33
-rediff patches 10 23 100 101
- add upstream patch which fixes CVE-2019-12735

* Sun Mar 31 2019 tv <tv> 8.1.1048-1.mga7
+ Revision: 1383380
- new release

* Mon Feb 18 2019 tv <tv> 8.1.918-1.mga7
+ Revision: 1368250
- rediff patch
- rediff patch
- patchlevel 918
- we do not need exact include path

* Sun Jan 13 2019 tv <tv> 8.1.714-1.mga7
+ Revision: 1355804
- new release

* Fri Dec 21 2018 tv <tv> 8.1.575-1.mga7
+ Revision: 1344190
- patchlevel 575
- do not strip binaries before build system strips it

* Fri Nov 16 2018 tv <tv> 8.1.527-1.mga7
+ Revision: 1330192
- patchlevel 527

* Fri Nov 09 2018 tv <tv> 8.1.513-1.mga7
+ Revision: 1329134
- new release

* Mon Nov 05 2018 tv <tv> 8.1.497-1.mga7
+ Revision: 1328428
- new release

* Wed Aug 29 2018 tv <tv> 8.1.328-1.mga7
+ Revision: 1255461
- new release

* Tue Aug 14 2018 tv <tv> 8.1.279-1.mga7
+ Revision: 1251548
- new release

* Sun Aug 05 2018 pterjan <pterjan> 8.1.229-2.mga7
+ Revision: 1247457
- Rebuild for perl 5.28

* Thu Aug 02 2018 tv <tv> 8.1.229-1.mga7
+ Revision: 1246872
- new release

* Fri Jun 15 2018 tv <tv> 8.1.055-1.mga7
+ Revision: 1236976
- new release

* Thu May 24 2018 tv <tv> 8.1.022-1.mga7
+ Revision: 1231997
- new release

* Tue May 22 2018 tv <tv> 8.1.016-1.mga7
+ Revision: 1231491
- new release

* Tue May 15 2018 tv <tv> 8.0.1842-1.mga7
+ Revision: 1229686
- patchlevel 1842
- use python2 and python3 in code

* Mon Mar 26 2018 tv <tv> 8.0.1630-1.mga7
+ Revision: 1212678
- new release

* Thu Feb 01 2018 tv <tv> 8.0.1451-2.mga7
+ Revision: 1198437
- new release

* Fri Jan 05 2018 tv <tv> 8.0.1428-2.mga7
+ Revision: 1190546
- new release

* Mon Jan 01 2018 pterjan <pterjan> 8.0.1283-2.mga7
+ Revision: 1188717
- Rebuild for Ruby 2.5

* Mon Nov 13 2017 tv <tv> 8.0.1283-1.mga7
+ Revision: 1177291
- rediff patch 24
- new release

* Tue Oct 31 2017 tv <tv> 8.0.1240-1.mga7
+ Revision: 1175100
- new release
- new release

* Sun Oct 15 2017 tv <tv> 8.0.1187-1.mga7
+ Revision: 1171988
- new release

* Mon Sep 18 2017 tv <tv> 8.0.1097-1.mga7
+ Revision: 1155190
- new release
- drop the strict requires on perl-base: libperl is already versionated

* Wed Aug 30 2017 tv <tv> 8.0.983-1.mga7
+ Revision: 1148611
- new release

* Tue Aug 15 2017 pterjan <pterjan> 8.0.885-2.mga7
+ Revision: 1140906
- Rebuild for new Ruby

* Thu Aug 10 2017 tv <tv> 8.0.885-1.mga7
+ Revision: 1139541
- new release
- fix python3 path (thus fixing loading eg: powerline)

* Fri Jul 21 2017 tv <tv> 8.0.739-2.mga7
+ Revision: 1126251
- new release

* Wed Jul 19 2017 tv <tv> 8.0.728-2.mga7
+ Revision: 1125390
- rebuild for new perl

* Wed Jul 19 2017 tv <tv> 8.0.728-1.mga7
+ Revision: 1125052
- new release

* Thu Mar 02 2017 tv <tv> 8.0.388-1.mga6
+ Revision: 1088468
- new release (security fix, mga#19829)

* Tue Jan 31 2017 shlomif <shlomif> 8.0.176-2.mga6
+ Revision: 1084399
- Rebuild for the new perl.
+ tv <tv>
- new release

* Thu Jan 12 2017 tv <tv> 8.0.160-1.mga6
+ Revision: 1081193
- new release
- use FC patch for disabling mouse
- use defaults.vim instead of vimrc_example for system vimrc

* Sat Jan 07 2017 tv <tv> 8.0.133-3.mga6
+ Revision: 1080494
- enable to copy/paste with mouse like by default in previous versions (mga#19467)

* Tue Dec 20 2016 tv <tv> 8.0.133-2.mga6
+ Revision: 1076207
- new release

* Wed Nov 23 2016 neoclust <neoclust> 8.0.095-2.mga6
+ Revision: 1069371
- New version 8.0.0095 ( Fix CVE CVE-2016-1248)

* Tue Nov 08 2016 tv <tv> 8.0.038-2.mga6
+ Revision: 1065827
- disable gpm support in vim-minimal (mga#19467)

* Wed Oct 26 2016 tv <tv> 8.0.038-1.mga6
+ Revision: 1063602
- new version
- use FC way to update as upstream patches from FTP server do not apply cleanly

* Tue Oct 11 2016 pterjan <pterjan> 8.0.5-3.mga6
+ Revision: 1060186
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Tue Oct 04 2016 daviddavid <daviddavid> 8.0.5-2.mga6
+ Revision: 1058317
- fix a dangling link removing no more needed and useless locale symlink
  since "%%pre common" section was removed in commit 397203 (mga#19371)

* Thu Sep 15 2016 tv <tv> 8.0.5-1.mga6
+ Revision: 1053176
- new version

* Thu Sep 15 2016 tv <tv> 8.0.3-3.mga6
+ Revision: 1053019
- enable python3 support (needed for eg: powerline)
- enable gpm support
- BR lua-devel
- use fortify

* Tue Sep 13 2016 tv <tv> 8.0.3-2.mga6
+ Revision: 1052493
- really apply upstream patch
- use upstream rpm ftplugin instead of an 11+ years old unmainted one
- kill BR on libgnomeui2-devel
- replace patch 27 by a require excludes

* Tue Sep 13 2016 tv <tv> 8.0.3-1.mga6
+ Revision: 1052472
- drop our menu entry as upstream provides one now
- new release
- rediff patches
- drop patch 25
- really apply official patches :-(
  (broken since mga1...)
- switch to gtk+3

* Mon Jul 11 2016 tv <tv> 7.4.2025-1.mga6
+ Revision: 1041071
- new release

* Tue May 03 2016 tv <tv> 7.4.1816-1.mga6
+ Revision: 1008963
- new release

* Tue Apr 26 2016 tv <tv> 7.4.1785-1.mga6
+ Revision: 1006370
- new release

* Mon Apr 04 2016 tv <tv> 7.4.1706-1.mga6
+ Revision: 998364
- new release

* Thu Mar 31 2016 tv <tv> 7.4.1689-1.mga6
+ Revision: 997061
- new release

* Fri Mar 25 2016 tv <tv> 7.4.1646-1.mga6
+ Revision: 995461
- new release

* Wed Mar 16 2016 tv <tv> 7.4.1578-1.mga6
+ Revision: 992015
- new release

* Sat Mar 12 2016 tv <tv> 7.4.1536-6.mga6
+ Revision: 989394
- new release

* Tue Mar 08 2016 tv <tv> 7.4.1509-6.mga6
+ Revision: 987310
- new release

* Thu Feb 25 2016 tv <tv> 7.4.1416-6.mga6
+ Revision: 979146
- new release

* Sat Feb 20 2016 tv <tv> 7.4.1361-6.mga6
+ Revision: 972354
- new release

* Wed Feb 17 2016 umeabot <umeabot> 7.4.889-6.mga6
+ Revision: 963203
- Mageia 6 Mass Rebuild

* Wed Dec 16 2015 shlomif <shlomif> 7.4.889-5.mga6
+ Revision: 911023
- Rebuild for new perl

* Sun Nov 01 2015 neoclust <neoclust> 7.4.889-4.mga6
+ Revision: 897176
- Highlight %%global keyword in spec files

* Tue Oct 27 2015 shlomif <shlomif> 7.4.889-3.mga6
+ Revision: 895784
- Rebuild for the new ruby. ":CommandT" crashed previously.

* Sat Oct 03 2015 tv <tv> 7.4.889-2.mga6
+ Revision: 885871
- rebuild for new tcl

* Tue Sep 29 2015 tv <tv> 7.4.889-1.mga6
+ Revision: 885092
- new release

* Sat Sep 19 2015 tv <tv> 7.4.873-1.mga6
+ Revision: 881615
- re-enable debuginfo
- use find_lang's --all-name option
- adjust file list
- use find_lang's --with-man option
- new release
- do not strip binaries
- new release
- new release
- fix "File listed twice"
+ tmb <tmb>
- rebuild for new gcc

* Sun Aug 16 2015 tv <tv> 7.4.826-1.mga6
+ Revision: 865091
- new release
- new release

* Tue Aug 04 2015 tv <tv> 7.4.803-1.mga6
+ Revision: 860963
- handle %%pretrans & filetriggers, makeinstall & make_install
- do not colorize makeinstall_std & old_makeinstall anymore
  (%%make_install & %%makeinstall should be used respectively)
- typo fix (+ simplify patch)
- new release

* Thu Jun 25 2015 tv <tv> 7.4.761-3.mga6
+ Revision: 843436
- new release

* Wed Jun 24 2015 tv <tv> 7.4.752-3.mga6
+ Revision: 842506
- rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 7.4.752-2.mga6
+ Revision: 840459
- Rebuild for perl 5.22

* Mon Jun 22 2015 tv <tv> 7.4.752-1.mga6
+ Revision: 839052
- new release

* Sun Jun 21 2015 tv <tv> 7.4.449-1.mga6
+ Revision: 837630
- new release

* Tue Nov 25 2014 doktor5000 <doktor5000> 7.4.430-7.mga5
+ Revision: 798913
- added rpm spec template %%{_datadir}/%%{name}/vimfiles/template.spec
  o adapt vimrc to autoload template when creating new rpm spec files

* Wed Oct 15 2014 umeabot <umeabot> 7.4.430-6.mga5
+ Revision: 747753
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 7.4.430-5.mga5
+ Revision: 725277
- rebuild for bogus file deps

* Tue Sep 23 2014 tmb <tmb> 7.4.430-4.mga5
+ Revision: 722149
- rebuild for new perl

* Tue Sep 16 2014 umeabot <umeabot> 7.4.430-3.mga5
+ Revision: 690209
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 guillomovitch <guillomovitch> 7.4.430-2.mga5
+ Revision: 677602
- update RPM syntax patch for new keyword

* Mon Sep 01 2014 tv <tv> 7.4.430-1.mga5
+ Revision: 670409
- new release

* Wed Aug 27 2014 tv <tv> 7.4.417-1.mga5
+ Revision: 668559
- new release

* Sat Aug 16 2014 tv <tv> 7.4.405-1.mga5
+ Revision: 663994
- new release

* Fri Aug 01 2014 tv <tv> 7.4.389-1.mga5
+ Revision: 658973
- new release

* Tue Jun 03 2014 tv <tv> 7.4.316-1.mga5
+ Revision: 632055
- new release

* Mon May 05 2014 tv <tv> 7.4.274-1.mga5
+ Revision: 620262
- new release

* Sun Apr 27 2014 tv <tv> 7.4.265-1.mga5
+ Revision: 618509
- new release

* Mon Mar 31 2014 tv <tv> 7.4.229-1.mga5
+ Revision: 610992
- new release

* Wed Mar 19 2014 tv <tv> 7.4.210-1.mga5
+ Revision: 605917
- new release

* Fri Mar 07 2014 tv <tv> 7.4.192-1.mga5
+ Revision: 600958
- new release

* Tue Feb 18 2014 tv <tv> 7.4.182-1.mga5
+ Revision: 594476
- new release

* Sat Feb 08 2014 tv <tv> 7.4.169-1.mga5
+ Revision: 586792
- new release

* Tue Feb 04 2014 tv <tv> 7.4.161-1.mga5
+ Revision: 581792
- new release

* Tue Jan 14 2014 oden <oden> 7.4.052-3.mga4
+ Revision: 566574
- fix a file clash

* Mon Oct 21 2013 umeabot <umeabot> 7.4.052-2.mga4
+ Revision: 540410
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 tv <tv> 7.4.052-1.mga4
+ Revision: 493589
- new release

* Tue Oct 08 2013 colin <colin> 7.4.050-2.mga4
+ Revision: 493177
- Rebuild against ncurse's libtinfo rather than libtermcap

* Sat Oct 05 2013 tv <tv> 7.4.050-1.mga4
+ Revision: 491897
- new release

* Sat Sep 28 2013 tv <tv> 7.4.041-1.mga4
+ Revision: 488568
- new release

* Sat Sep 21 2013 fwang <fwang> 7.4.009-2.mga4
+ Revision: 482713
- rebuild for ruby 2.0

* Tue Aug 27 2013 tv <tv> 7.4.009-1.mga4
+ Revision: 472322
- new release

* Tue Aug 27 2013 tv <tv> 7.4.007-1.mga4
+ Revision: 472302
- new release

* Fri Aug 23 2013 tv <tv> 7.3.1036-2.mga4
+ Revision: 469926
- rebuild for new perl

* Wed May 29 2013 tv <tv> 7.3.1036-1.mga4
+ Revision: 429913
- new release

* Sun Mar 17 2013 tv <tv> 7.3.762-5.mga3
+ Revision: 403552
- rebuild for new perl

* Fri Feb 08 2013 luigiwalser <luigiwalser> 7.3.762-4.mga3
+ Revision: 397203
- remove obsolete pre script

* Mon Jan 14 2013 umeabot <umeabot> 7.3.762-3.mga3
+ Revision: 385415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 tv <tv> 7.3.762-2.mga3
+ Revision: 334991
- new release

* Thu Nov 15 2012 tv <tv> 7.3.715-2.mga3
+ Revision: 318242
- new release

* Mon Nov 05 2012 tv <tv> 7.3.712-2.mga3
+ Revision: 314459
- rebuild for new perl

* Thu Nov 01 2012 tv <tv> 7.3.712-1.mga3
+ Revision: 312018
- new release

* Thu Nov 01 2012 fwang <fwang> 7.3.659-3.mga3
+ Revision: 311991
- rebuild for new ruby
+ dams <dams>
- add a new icon to fix ugly rendering in GNOME3
- clean specfile

* Mon Sep 10 2012 tv <tv> 7.3.659-2.mga3
+ Revision: 291565
- rebuild for new libruby

* Sun Sep 09 2012 tv <tv> 7.3.659-1.mga3
+ Revision: 291312
- new release

* Sun Sep 09 2012 tv <tv> 7.3.646-2.mga3
+ Revision: 291302
- rebuild for new libruby

* Wed Aug 29 2012 tv <tv> 7.3.646-1.mga3
+ Revision: 285538
- new release

* Thu Aug 23 2012 jquelin <jquelin> 7.3.629-3.mga3
+ Revision: 283287
- perl 5.16.1 rebuild

* Thu Aug 09 2012 tv <tv> 7.3.629-2.mga3
+ Revision: 280106
- new release

* Sat Jul 28 2012 tv <tv> 7.3.617-2.mga3
+ Revision: 275398
- new release

* Mon Jul 23 2012 tv <tv> 7.3.608-2.mga3
+ Revision: 273765
- new release

* Thu May 31 2012 blino <blino> 7.3.531-2.mga3
+ Revision: 251907
- fix build with latest perl (from upstream hg revision 7613c9ab083f)
+ tv <tv>
- new release
- rebuild for new perl
+ jquelin <jquelin>
- perl 5.16 rebuild

* Tue Mar 20 2012 guillomovitch <guillomovitch> 7.3.444-2.mga2
+ Revision: 225129
- fix missing ruby support

* Thu Feb 16 2012 tv <tv> 7.3.444-1.mga2
+ Revision: 209696
- new release

* Wed Feb 08 2012 tv <tv> 7.3.434-1.mga2
+ Revision: 206562
- new release

* Mon Jan 30 2012 tv <tv> 7.3.421-1.mga2
+ Revision: 203137
- new release

* Mon Jan 23 2012 tv <tv> 7.3.409-1.mga2
+ Revision: 200158
- new release

* Tue Dec 13 2011 tv <tv> 7.3.372-1.mga2
+ Revision: 181135
- new release

* Sun Nov 27 2011 tv <tv> 7.3.353-1.mga2
+ Revision: 172576
- new release

* Fri Oct 14 2011 jquelin <jquelin> 7.3.322-2.mga2
+ Revision: 155105
- perl 5.14.2 rebuild

* Thu Sep 22 2011 tv <tv> 7.3.322-1.mga2
+ Revision: 146851
- new release
- drop patch 1000 (obsolete since 7.3.315)
- new release
- drop patch 1000 (obsolete since 7.3.315)

* Thu Sep 15 2011 tv <tv> 7.3.315-1.mga2
+ Revision: 143859
- new release

* Wed Sep 07 2011 tv <tv> 7.3.294-1.mga2
+ Revision: 140199
- new release
- new release
- official patch level 280
- new release
- new release
- new release
+ fwang <fwang>
- fix desktop file

* Sun Jul 03 2011 fwang <fwang> 7.3.237-2.mga2
+ Revision: 117535
- rebuild for new tcl

* Wed Jun 29 2011 tv <tv> 7.3.237-1.mga2
+ Revision: 116127
- new release

* Sun Jun 19 2011 jquelin <jquelin> 7.3.219-4.mga2
+ Revision: 109898
- perl 5.14.1 rebuild

* Sun Jun 19 2011 tmb <tmb> 7.3.219-3.mga2
+ Revision: 109852
- rebuild for perl-5.14.1

* Tue Jun 14 2011 tv <tv> 7.3.219-2.mga2
+ Revision: 106057
- official patch level 219

* Sat Jun 11 2011 jquelin <jquelin> 7.3.154-2.mga2
+ Revision: 103441
- perl 5.14 rebuild

* Tue Apr 05 2011 tv <tv> 7.3.154-1.mga1
+ Revision: 80914
- reset release
- official patch level 154
- rediff xxd-locale.patch
- drop patches 11 (unused) & 29 (useless)

* Thu Feb 17 2011 jquelin <jquelin> 7.3.107-8.mga1
+ Revision: 52902
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 7.3.107-7.mga1
+ Revision: 52701
- perl 5.12.3 rebuild

* Tue Feb 01 2011 dmorgan <dmorgan> 7.3.107-6.mga1
+ Revision: 45703
- Update Vim patch level

* Mon Jan 24 2011 pterjan <pterjan> 7.3.003-5.mga1
+ Revision: 37374
- Rebuild for new perl

* Mon Jan 17 2011 pterjan <pterjan> 7.3.003-4.mga1
+ Revision: 21350
- Rebuild for python 2.7

* Fri Jan 14 2011 dmorgan <dmorgan> 7.3.003-3.mga1
+ Revision: 18008
- Fix file list
+ ahmad <ahmad>
- clean spec
- drop old/unneeded macros
- drop old/unneeded conflicts
- rename README.mdv to README.mga and edit it to replace Mandriva with Mageia
- rename the .desktop file to mageia-*
- imported package vim

